SFML - Simple and Fast Multimedia Library

SFML 3.0.0

- Main Page
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | List of all members
sf::U8StringCharTraits Struct Reference

Character traits for `std::uint8_t` More...

`#include <SFML/System/String.hpp>`

## Public Types
using | char_type = std::uint8_t
using | int_type = std::char_traits<char>::int_type
using | off_type = std::char_traits<char>::off_type
using | pos_type = std::char_traits<char>::pos_type
using | state_type = std::char_traits<char>::state_type

## Static Public Member Functions
static void | assign (char_type &c1, char_type c2) noexcept
static char_type * | assign (char_type *s, std::size_t n, char_type c)
static bool | eq (char_type c1, char_type c2) noexcept
static bool | lt (char_type c1, char_type c2) noexcept
static char_type * | move (char_type *s1, const char_type *s2, std::size_t n)
static char_type * | copy (char_type *s1, const char_type *s2, std::size_t n)
static int | compare (const char_type *s1, const char_type *s2, std::size_t n)
static std::size_t | length (const char_type *s)
static const char_type * | find (const char_type *s, std::size_t n, const char_type &c)
static char_type | to_char_type (int_type i) noexcept
static int_type | to_int_type (char_type c) noexcept
static bool | eq_int_type (int_type i1, int_type i2) noexcept
static int_type | eof () noexcept
static int_type | not_eof (int_type i) noexcept

## Detailed Description

Character traits for `std::uint8_t`

Definition at line 47 of file String.hpp.

## Member Typedef Documentation

## ◆ char_type

using sf::U8StringCharTraits::char_type = std::uint8_t

Definition at line 50 of file String.hpp.

## ◆ int_type

using sf::U8StringCharTraits::int_type = std::char_traits<char>::int_type

Definition at line 51 of file String.hpp.

## ◆ off_type

using sf::U8StringCharTraits::off_type = std::char_traits<char>::off_type

Definition at line 52 of file String.hpp.

## ◆ pos_type

using sf::U8StringCharTraits::pos_type = std::char_traits<char>::pos_type

Definition at line 53 of file String.hpp.

## ◆ state_type

using sf::U8StringCharTraits::state_type = std::char_traits<char>::state_type

Definition at line 54 of file String.hpp.

## Member Function Documentation

## ◆ assign() [1/2]

static void sf::U8StringCharTraits::assign | ( | char_type & | c1,
|  | char_type | c2 )
| staticnoexcept

## ◆ assign() [2/2]

static char_type * sf::U8StringCharTraits::assign | ( | char_type * | s,
|  | std::size_t | n,
|  | char_type | c )
| static

## ◆ compare()

static int sf::U8StringCharTraits::compare | ( | const char_type * | s1,
|  | const char_type * | s2,
|  | std::size_t | n )
| static

## ◆ copy()

static char_type * sf::U8StringCharTraits::copy | ( | char_type * | s1,
|  | const char_type * | s2,
|  | std::size_t | n )
| static

## ◆ eof()

static int_type sf::U8StringCharTraits::eof | ( |  | ) |
| staticnoexcept

## ◆ eq()

static bool sf::U8StringCharTraits::eq | ( | char_type | c1,
|  | char_type | c2 )
| staticnoexcept

## ◆ eq_int_type()

static bool sf::U8StringCharTraits::eq_int_type | ( | int_type | i1,
|  | int_type | i2 )
| staticnoexcept

## ◆ find()

static const char_type * sf::U8StringCharTraits::find | ( | const char_type * | s,
|  | std::size_t | n,
|  | const char_type & | c )
| static

## ◆ length()

static std::size_t sf::U8StringCharTraits::length | ( | const char_type * | s | ) |
| static

## ◆ lt()

static bool sf::U8StringCharTraits::lt | ( | char_type | c1,
|  | char_type | c2 )
| staticnoexcept

## ◆ move()

static char_type * sf::U8StringCharTraits::move | ( | char_type * | s1,
|  | const char_type * | s2,
|  | std::size_t | n )
| static

## ◆ not_eof()

static int_type sf::U8StringCharTraits::not_eof | ( | int_type | i | ) |
| staticnoexcept

## ◆ to_char_type()

static char_type sf::U8StringCharTraits::to_char_type | ( | int_type | i | ) |
| staticnoexcept

## ◆ to_int_type()

static int_type sf::U8StringCharTraits::to_int_type | ( | char_type | c | ) |
| staticnoexcept

The documentation for this struct was generated from the following file:

- String.hpp